ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Imp_Gravado_Item] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Imp_Final_Item] [decimal](10, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Importe_Fac] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Imp_total_Fac] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Id_Trans_Rec] [int] NOT NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Importe_Aplicado] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Imp_Total_Rec] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Cotizacion_Rec] [decimal](20, 4) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Cotizacion_Fac] [decimal](20, 4) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Porc_Bonificacion] [decimal](5, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [porc_aplicado] [decimal](20, 8) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Imp_Prod_CIva] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Imp_Prod_SIva] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [EFECTIVO] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [TARJETA] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [CHEQ_TER] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [CHEQ_PROP] [decimal](14, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [DEBITO] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [FINANC] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [OTROS] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [APLIC] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Total_Pagos] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Dif] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Coef_Pago] [decimal](20, 5) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Imp_Total_Percep_Reten_Fac] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Imp_Total_Percep_Reten_Rec] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Porc_Bonif_Item] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Imp_Final_Item_Sin_Desc] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Imp_Bonif_Item] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Cantidad_Prod] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Importe] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Imp_Final] [decimal](20, 5) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [coef] [decimal](20, 8) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [COEF_VAL] [decimal](20, 6) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Ajustes] [decimal](20, 2) NULL
ALTER TABLE [dbo].[RPT_Productos_Cob_Detalle] ALTER COLUMN [Acuenta] [decimal](20, 2) NULL


GO
IF IndexProperty(Object_Id('RPT_Productos_Cob_Detalle'), 'IX_Rpt_PCD_PorFecha', 'IndexID') IS NOT NULL
	DROP INDEX IX_Rpt_PCD_PorFecha ON RPT_Productos_Cob_Detalle
GO

IF IndexProperty(Object_Id('RPT_Productos_Cob_Detalle'), 'IX_Rpt_PCD_PorProd', 'IndexID') IS NOT NULL
	DROP INDEX IX_Rpt_PCD_PorProd ON RPT_Productos_Cob_Detalle
GO

IF IndexProperty(Object_Id('RPT_Productos_Cob_Detalle'), 'IX_Rpt_PCD_PorFlia', 'IndexID') IS NOT NULL
	DROP INDEX IX_Rpt_PCD_PorFlia ON RPT_Productos_Cob_Detalle
GO

IF IndexProperty(Object_Id('RPT_Productos_Cob_Detalle'), 'IX_Rpt_PCD_PorTipo', 'IndexID') IS NOT NULL
	DROP INDEX IX_Rpt_PCD_PorTipo ON RPT_Productos_Cob_Detalle
GO

IF IndexProperty(Object_Id('RPT_Productos_Cob_Detalle'), 'IX_Rpt_PCD_PorCC', 'IndexID') IS NOT NULL
	DROP INDEX IX_Rpt_PCD_PorCC ON RPT_Productos_Cob_Detalle
GO

IF IndexProperty(Object_Id('RPT_Productos_Cob_Detalle'), 'IX_Rpt_PCD_PorRec', 'IndexID') IS NOT NULL
	DROP INDEX IX_Rpt_PCD_PorRec ON RPT_Productos_Cob_Detalle
GO





CREATE INDEX IX_Rpt_PCD_PorFecha ON RPT_Productos_Cob_Detalle (Fecha_Rec,Id_Producto)
GO
CREATE INDEX IX_Rpt_PCD_PorProd ON RPT_Productos_Cob_Detalle (Id_Producto,Fecha_Rec)
GO
CREATE INDEX IX_Rpt_PCD_PorFlia ON RPT_Productos_Cob_Detalle (Id_Familia,Fecha_Rec)
GO
CREATE INDEX IX_Rpt_PCD_PorTipo ON RPT_Productos_Cob_Detalle (Id_Tipo_Cli,Fecha_Rec)
GO
CREATE INDEX IX_Rpt_PCD_PorCC ON RPT_Productos_Cob_Detalle (Id_Centro_Costo,Fecha_Rec)
GO
CREATE INDEX IX_Rpt_PCD_PorRec ON RPT_Productos_Cob_Detalle (Fecha_Rec, Desc_Recibo,Id_Trans_Rec)
GO